// const pageSize = document.getElementById("pageSize");
// const pageCover = document.getElementById("pageCover");
// const pageNo = document.getElementById("pageNo");

// const pageSizeShow = document.getElementById("pageSizeShow");
// const pageCoverShow = document.getElementById("pageCoverShow");
// const pageNoShow = document.getElementById("pageNoShow");
// const totalShow = document.getElementById("totalShow");

// let total = 0; // Initialize total

// function calculateTotal() {
//     // Get values, handling potential empty strings
//     const pageSizeValue = Number(pageSize.value) || 0; // if pageSize is empty or not a number, set to 0
//     const pageCoverValue = Number(pageCover.value) || 0;
//     const pageNoValue = Number(pageNo.value) || 0;

//     // Calculate total
//     total = pageCoverValue + (pageNoValue * pageSizeValue);

//     // Update display (format to 2 decimal places if needed)
//     totalShow.innerHTML = total.toFixed(2); // Use toFixed for consistent display
// }

// pageSize.addEventListener("input", () => { // Use input for real-time updates
//     pageSizeShow.innerHTML = pageSize.value;
//     calculateTotal(); // Recalculate total
// });

// pageCover.addEventListener("input", () => { // Use input for real-time updates
//     pageCoverShow.innerHTML = pageCover.value;
//     calculateTotal(); // Recalculate total
// });

// pageNo.addEventListener("input", () => {
//     pageNoShow.innerHTML = pageNo.value;
//     calculateTotal(); // Recalculate total
// });

// // Initial calculation (in case there are default values)
// calculateTotal();


document.addEventListener("DOMContentLoaded", function () {
    const pageSize = document.getElementById("pageSize");
    const pageCover = document.getElementById("pageCover");
    const pageNo = document.getElementById("pageNo");

    const pageSizeShow = document.getElementById("pageSizeShow");
    const pageCoverShow = document.getElementById("pageCoverShow");
    const pageNoShow = document.getElementById("pageNoShow");
    const totalShow = document.getElementById("totalShow");

    const hiddenPageSizePrice = document.getElementById("hiddenPageSizePrice");
    const hiddenPageCoverPrice = document.getElementById("hiddenPageCoverPrice");
    const hiddenTotalPrice = document.getElementById("hiddenTotalPrice");

    const priceChart = {
        A5: { basePrice: 0.75, paperback: 90.00, hardcover: 170.00 },
        B5: { basePrice: 1.20, paperback: 100.00, hardcover: 180.00 },
        A4: { basePrice: 1.50, paperback: 170.00, hardcover: 200.00 }
    };

    function calculateTotal() {
        const selectedPageSize = pageSize.value;
        const pageCoverType = pageCover.value;
        const pageNoValue = Number(pageNo.value) || 0;

        let pageSizePrice = 0;
        let coverPrice = 0;

        if (priceChart[selectedPageSize]) {
            pageSizePrice = priceChart[selectedPageSize].basePrice * pageNoValue;

            if (pageCoverType === "Paperback") {
                coverPrice = priceChart[selectedPageSize].paperback;
            } else if (pageCoverType === "Hardcover") {
                coverPrice = priceChart[selectedPageSize].hardcover;
            }
        }

        const total = pageSizePrice + coverPrice;

        // Update display
        pageSizeShow.innerHTML = pageSizePrice.toFixed(2) + " BDT";
        pageCoverShow.innerHTML = coverPrice.toFixed(2) + " BDT";
        pageNoShow.innerHTML = pageNoValue + " Pages";
        totalShow.innerHTML = total.toFixed(2) + " BDT";

        // Update hidden inputs
        hiddenPageSizePrice.value = pageSizePrice.toFixed(2);
        hiddenPageCoverPrice.value = coverPrice.toFixed(2);
        hiddenTotalPrice.value = total.toFixed(2);
    }

    pageSize.addEventListener("change", calculateTotal);
    pageCover.addEventListener("change", calculateTotal);
    pageNo.addEventListener("input", calculateTotal);

    calculateTotal();
});


  
  
    







