<?php include('conn.php') ?>
<?php include('template/header.php'); ?>

    <div class="container mt-5 order-tracking">
        <h3 class="text-center text-uppercase mt-3">Track Your Order</h3>
        <form action="track-order.php" method="post">
            <div class="verification-box text-center mb-4">
                <input type="text" id="mobile" name="mobile" class="form-control d-inline-block w-50"
                    placeholder="Enter your mobile number" required>
                <button type="submit" name="submit" class="btn btn-dark">Track Order</button>
            </div>
        </form>
        <div id="orderInfo" class="table-responsive">
            <table class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>Customer Name</th>
                        <th>Page size (Price)</th>
                        <th>Page cover (Price)</th>
                        <th>Total</th>
                        <th>Page no </th>
                        <th>Address</th>
                        <th>Payment Status</th>
                        <th>Order Status</th>
                        <th>Make Payment</th>
                    </tr>
                </thead>
                <tbody>

                    <?php
                    if (isset($_POST['mobile'])) {
                        $mobile = $_POST['mobile'];
                        $sql = "SELECT * FROM orders WHERE mobile = '$mobile' ORDER BY id DESC";
                        $result = $conn->query($sql);
                        if ($result->num_rows > 0) {
                            while ($row = $result->fetch_assoc()) { ?>
                                <tr class="track-table-data-row">
                                    <td><?php echo $row['first_name'] . ' ' . $row['last_name']; ?></td>
                                    <td><?php echo $row['page_size']; ?> (<?php echo $row['pageSizePrice']; ?>)</td>
                                    <td><?php echo $row['page_cover']; ?> (<?php echo $row['pageCoverPrice']; ?>)</td>
                                    <td><?php echo $row['totalPrice']; ?></td>
                                    <td><?php echo $row['page_no']; ?></td>
                                    <td><?php echo $row['address']; ?></td>
                                    <td style="color: 
                                <?php
                                if ($row['payment_status'] == 'Paid') {
                                    echo 'green;';
                                } elseif ($row['payment_status'] == 'Failed') {
                                    echo 'red;';
                                }elseif($row['payment_status'] == 'Processing'){
                                    echo 'blue;';
                                } else {
                                    echo 'orange;';
                                }
                                ?>
                                "><?php echo $row['payment_status']; ?></td>

                                    <td style="color: 
                                <?php
                                if ($row['order_status'] == 'Completed') {
                                    echo 'blue;';
                                } elseif ($row['order_status'] == 'Cancelled') {
                                    echo 'gray;';
                                }elseif($row['order_status'] == 'Processing'){
                                    echo 'green;';
                                } else {
                                    echo 'purple;';
                                }
                                ?>
                                "><?php echo $row['order_status']; ?></td>
                                    <td>
                                        <button
                                            class="btn btn-dark m-auto d-block pay_btn_click"
                                            id="pay_btn_click "
                                            data-order-id="<?php echo $row['id']; ?>"
                                            data-total-cost="<?php echo $row['totalPrice']; ?>"
                                            value="<?php echo $row['id']; ?>"
                                            data-toggle="modal"
                                            data-target="#exampleModalCenter">Pay
                                        </button>
                                    </td>
                                </tr>
                    <?php }
                        } else {
                            echo "<tr><td colspan='9'>No order found for this mobile number.</td></tr>";
                        }
                    }


                    ?>

                </tbody>
            </table>
                
        </div>
    </div>


    <!-- Modal -->
    <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog"
        aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Modal title</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form id="paymentForm" method="post">
                    <div class="modal-body payment-modal">

                        <p>Send <span id="totalCost" class="text-success"></span> BDT to the Number Below</p>
                        <input type="text" class="form-control" value="01537215012" disabled>
                        <select name="payment-gateway" class="form-control" id="" required>
                            <option value="0">Select Your Payment Gateway</option>
                            <option value="Bkash">Bkash</option>
                            <option value="Nagad">Nagad</option>
                            <option value="Rocket">Rocket</option>
                        </select>
                        <input type="text" name="payee-mob-number" class="form-control" placeholder="Enter Your Phone No." required>
                        <input type="text" name="payee-trnx-id" class="form-control" placeholder="Enter Transaction ID" required>
                        <input type="hidden" name="order_id" id="pay_id" value="" readonly>
                        <input type="submit" class=" btn btn-dark" value="Submit">
                    </div>
                </form>

            </div>
        </div>
    </div>



    <div class="container mt-5 d-none" id="orderInfoTable">
        <h3 class="text-center text-uppercase">Order Informations</h3>
        <div class="table-responsive">
            <table class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>Customer Name</th>
                        <th>Order Product</th>
                        <th>Total Cost</th>
                        <th>Payment Status</th>
                        <th>Order Status</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>John Doe</td>
                        <td>Book Printing</td>
                        <td>1000.00 BDT</td>
                        <td>Pending</td>
                        <td>In Progress</td>
                    </tr>
                    <tr>
                        <td>Jane Doe</td>
                        <td>Brochure Printing</td>
                        <td>1500.00 BDT</td>
                        <td>Success</td>
                        <td>Complete</td>
                    </tr>
                    <tr>
                        <td>Mr. Smith</td>
                        <td>Business Card Printing</td>
                        <td>500.00 BDT</td>
                        <td>Pending</td>
                        <td>In Progress</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const payButtons = document.querySelectorAll('.pay_btn_click');

            payButtons.forEach(button => {
                button.addEventListener('click', function() {
                    const orderId = this.getAttribute('data-order-id');
                    const totalCost = this.getAttribute('data-total-cost');
                    document.getElementById('pay_id').value = orderId;
                    document.getElementById('totalCost').innerText = totalCost;
                });
            });
        });
    </script>

 <?php include('template/footer.php'); ?>